Bug 151917 - CVE-2004-1380 Input stealing from other tabs
Summary: CVE-2004-1380 Input stealing from other tabs
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: galeon   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 15:34 UTC by Ben Levenson
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-25 20:22:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Levenson 2005-03-23 15:34:46 UTC
(copied from bug 145610)
===================================
Mozilla Security Advisory MSA05-005
===================================

Title:      Input stealing from other tabs
Severity:   High
Reporter:   Jakob Balle (Secunia)

Fixed in:   Firefox 1.0
            Mozilla Suite 1.7.5


Description
-----------
Jakob Balle of Secunia reported two vulnerabilities in windows with multiple
tabs. Malicious content in a background tab can attempt to steal information
intended for the topmost tab by popping up prompt dialog that appears to come
from the trusted site, or by silently redirecting input focus to a background
tab hoping to catch the user inputting something sensitive.

Jesse Ruderman and Martin Wargers discovered variants


Workaround
----------
Do not open sites with sensitive content in the same window as tabs from
untrusted content.
Upgrade to fixed version.


References
----------
http://secunia.com/advisories/12712
https://bugzilla.mozilla.org/show_bug.cgi?id=262887
https://bugzilla.mozilla.org/show_bug.cgi?id=265055
https://bugzilla.mozilla.org/show_bug.cgi?id=265456

Comment 1 Josh Bressers 2006-09-25 20:22:23 UTC
The latest seamonkey package deprecates seamonkey.  I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.